libzypp: zyppng::BooleanChoiceRequest Class Reference

libzypp 17.38.6

zyppng::BooleanChoiceRequest Class Reference

`#include <zypp-core/ng/ui/userrequest.h>`

Inheritance diagram for zyppng::BooleanChoiceRequest:

## Public Member Functions
| ZYPP_DECL_PRIVATE_CONSTR_ARGS (BooleanChoiceRequest, std::string label, const bool defaultAnswer=false, UserData userData={})
UserRequestType | type () const override
const std::string & | label () const
void | setChoice (const bool sel)
bool | choice () const
Public Member Functions inherited from zyppng::UserRequest
| UserRequest (UserData userData={})
| ~UserRequest () override
const UserData & | userData () const
UserData & | userData ()
Public Member Functions inherited from zyppng::Base
| Base ()
virtual | ~Base ()
WeakPtr | parent () const
void | addChild (const Base::Ptr &child)
void | removeChild (const Ptr &child)
const std::unordered_set< Ptr > & | children () const
std::thread::id | threadId () const
template<typename T>
std::vector< std::weak_ptr< T > > | findChildren () const
template<typename T>
std::shared_ptr< T > | shared_this () const
template<typename T>
std::shared_ptr< T > | shared_this ()
template<typename T>
std::weak_ptr< T > | weak_this () const
template<typename T>
std::weak_ptr< T > | weak_this ()
template<typename SenderFunc, typename ReceiverFunc>
auto | connect (SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
std::enable_if_t< std::is_member_function_pointer_v< SenderFunc >, connection > | connectFunc (SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)
void | setData (uint32_t quark, zypp::AutoDispose< void * > data)
void * | data (uint32_t quark)
void | clearData (uint32_t quark)

## Private Attributes
std::string | _label
bool | _answer = false

## Additional Inherited Members
Public Types inherited from zyppng::Base
using | Ptr = std::shared_ptr<Base>
using | WeakPtr = std::weak_ptr<Base>
Static Public Member Functions inherited from zyppng::Base
template<typename Obj, typename Functor>
static decltype(auto) | make_base_slot (Obj *o, Functor &&f)
template<typename SenderFunc, typename ReceiverFunc>
static auto | connect (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
static auto | connectFunc (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)
Protected Member Functions inherited from zyppng::Base
| Base (BasePrivate &dd)
Protected Attributes inherited from zyppng::Base
std::unique_ptr< BasePrivate > | d_ptr

## Detailed Description

Definition at line 153 of file userrequest.h.

## Member Function Documentation

## ◆ ZYPP_DECL_PRIVATE_CONSTR_ARGS()

zyppng::BooleanChoiceRequest::ZYPP_DECL_PRIVATE_CONSTR_ARGS | ( | BooleanChoiceRequest | ,
|  | std::string | label,
|  | const bool | defaultAnswer = false,
|  | UserData | userData = {} )

## ◆ type()

UserRequestType zyppng::BooleanChoiceRequest::type | ( |  | ) | const
| overridevirtual

Implements zyppng::UserRequest.

Definition at line 99 of file userrequest.cc.

## ◆ label()

const std::string & zyppng::BooleanChoiceRequest::label | ( |  | ) | const

Definition at line 104 of file userrequest.cc.

## ◆ setChoice()

void zyppng::BooleanChoiceRequest::setChoice | ( | const bool | sel | ) |

Definition at line 109 of file userrequest.cc.

## ◆ choice()

bool zyppng::BooleanChoiceRequest::choice | ( |  | ) | const

Definition at line 114 of file userrequest.cc.

## Member Data Documentation

## ◆ _label

std::string zyppng::BooleanChoiceRequest::_label
| private

Definition at line 167 of file userrequest.h.

## ◆ _answer

bool zyppng::BooleanChoiceRequest::_answer = false
| private

Definition at line 168 of file userrequest.h.

The documentation for this class was generated from the following files:

- zypp-core/ng/ui/userrequest.h
- zypp-core/ng/ui/userrequest.cc